<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="" xml:lang="">
<head>
  <meta charset="utf-8" />
  <meta name="generator" content="pandoc" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=yes" />
  <title>Cacti – Colors</title>
  <style type="text/css">
      code{white-space: pre-wrap;}
      span.smallcaps{font-variant: small-caps;}
      span.underline{text-decoration: underline;}
      div.column{display: inline-block; vertical-align: top; width: 50%;}
  </style>
  <link rel="stylesheet" href="Cacti-Github.css" />
</head>
<body>
<h1 id="colors">Colors</h1>
<p>Colors in Cacti come in two types and used to maintain a list of colors that can be used in Cacti for <strong>Graph Templates</strong> and <strong>Graphs</strong>.</p>
<p>The first type are the legacy Cacti colors imported from earlier versions of Cacti. Starting with Cacti 1.0, Cacti started to support the concept of <em>Named Colors</em> which come from a well known dictionary of well defined colors. <em>Named Colors</em> are read only in Cacti. While the legacy Cacti colors can be named as the Cacti administrator desires.</p>
<p>The image below shows a list of Cacti <em>Named Colors</em>. You can see that there is a search bar and check boxes for showing just <em>Named Colors</em> or all colors, and another check box for showing Colors that are used in <strong>Graph Templates</strong> and <em>Graphs</em>. You can not remove either the <em>Named Colors</em> or Colors that are in use by either a <strong>Graph Template</strong> or <strong>Graph</strong>.</p>
<p><img src="images/colors.png" alt="Colors" /></p>
<p>The image below is the Color edit screen. If the color is read only, you can open this page, but not change any of the details. For legacy Cacti colors, or for Colors added by the Cacti Administrator, you can change the name and the Color hex value.</p>
<p><img src="images/colors-edit1.png" alt="Colors Edit" /></p>
<p>Below, you can see the color picker that allows you to visually find the appealing color. You can also use hex values that were previously supported in earlier Cacti version.</p>
<p><img src="images/colors-edit2.png" alt="Colors Color Edit" /></p>
<hr />
<p><copy>Copyright (c) 2004-2021 The Cacti Group</copy></p>
</body>
</html>
